<template>
    <v-app>
        <v-navigation-drawer app clipped v-model="menuVisivel">
            <v-list>
                <v-list-item v-for="item in menuLista" :key="item.path" 
                link @click="mudarRota(item.path)">
                <v-list-item-action>
                    <v-icon>{{ item.icone }}</v-icon>
                </v-list-item-action>
                <v-list-item-content>
                    {{ item.name }}
                </v-list-item-content>

                </v-list-item>
            </v-list>
        </v-navigation-drawer>

        <v-app-bar color="pink accent-3" dark densen app clipped-left>
        <!-- @ = um evento/interacao -->
            <v-icon @click="menuVisivel = !menuVisivel">mdi-menu</v-icon>
            <v-toolbar-title >Principal-tela</v-toolbar-title>
            <v-spacer></v-spacer> <!-- espaçamento entre componentes -->
        </v-app-bar>

        <v-content>
            <v-alert dence text type="success" v-if="ListaAlert">
                I'm a success alert.
            </v-alert>
        <router-view></router-view>
        </v-content>

        <v-footer app class="d-nome d-sm-flex">
            Desenvolvido por Felipe ©
            <v-spacer></v-spacer>
            Todos os direitos reservados
        </v-footer>
    </v-app>
</template>

<script>

    export default {
        name: 'App',

        data: () => ({
            menuVisivel: false,
            menuLista: [],

        }),
        methods:{
            mudarRota(rota){
                this.$router.push(rota)
            }
        },
        mounted(){
            this.menuLista = this.$router.options.routes
        }
    };
</script>
